//=================================
//		 Pulse-Width Modulation
//=================================
//PWM Output
//---------------------------------
//Timer 0		DIO 10
//Timer 1		DIO 11
//Timer 2		DIO 12
//Timer 3		DIO 13
//Timer 4		DIO 17
//---------------------------------

//#include <jendefs.h>
//#include <AppHardwareApi.h>
#include <stdint.h>

#define MAX_TIMER 5

enum {ONESHOT,
		PERIODIC};

/*
uint8_t timer[MAX_TIMER] = {E_AHI_TIMER_0,
									 E_AHI_TIMER_1,
									 E_AHI_TIMER_2,
									 E_AHI_TIMER_3,
									 E_AHI_TIMER_4};
*/

void pwmInit(uint8_t t);
void pwmCreate(uint8_t amt);
void pwmStart(uint8_t t, uint16_t high, uint16_t period, uint8_t mode);
void pwmStop(uint8_t t);


