//===============================
//			LED light colors
//===============================

#define RED 	0
#define GREEN	1
#define WHITE	2
#define BLUE	8

//===============================
//			   DIRECTIONS
//===============================

#define LEFT	0
#define RIGHT	1
#define UP		2
#define DOWN	3

#define MIN_BRIGHTNESS 0
#define MAX_BRIGHTNESS 25

typedef struct __attribute__((packed))
{
	uint8_t enable;
	uint8_t color;
	uint8_t brightness;
} StationStatus;
